> ## Documentation Index
> Fetch the complete documentation index at: https://docs.daily.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List Rooms

> List rooms



## OpenAPI

````yaml GET /rooms
openapi: 3.0.3
info:
  title: Daily API
  description: |-
    The Daily REST API offers the ability to manage the following: 
    - Overall Domain Configuration
    - Individual Room creation and config management 
    - Meeting token creation and validation
    - Recording and compositing management 
    - Meeting analytics
    - Logs and metrics
    - Real-time presence

    Please reach out to help@daily.co if we can help with anything
  version: 1.1.1
  contact:
    name: Daily
    url: https://docs.daily.co
    email: help@daily.co
servers:
  - url: https://api.daily.co/v1
security:
  - bearerAuth: []
paths:
  /rooms:
    get:
      tags:
        - rooms
      summary: /rooms
      description: List rooms
      operationId: ListRooms
      parameters:
        - name: limit
          in: query
          description: Sets the number of rooms listed
          required: false
          style: form
          explode: true
          schema:
            type: integer
            format: int32
        - name: ending_before
          in: query
          description: Returns room objects created before a provided room  id
          required: false
          style: form
          explode: true
          schema:
            type: string
        - name: starting_after
          in: query
          description: Returns room objects created after a provided room id
          required: false
          style: form
          explode: true
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                type: object
                properties:
                  total_count:
                    type: integer
                    example: 2
                    default: 0
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          example: 5e3cf703-5547-47d6-a371-37b1f0b4427f
                        name:
                          type: string
                          example: w2pp2cf4kltgFACPKXmX
                        api_created:
                          type: boolean
                          example: false
                          default: true
                        privacy:
                          type: string
                          example: public
                        url:
                          type: string
                          example: https://api-demo.daily.co/w2pp2cf4kltgFACPKXmX
                        created_at:
                          type: string
                          example: '2019-01-26T09:01:22.000Z'
                        config:
                          type: object
                          properties:
                            start_video_off:
                              type: boolean
                              example: true
                              default: true
              examples:
                Result:
                  value:
                    total_count: 2
                    data:
                      - id: 5e3cf703-5547-47d6-a371-37b1f0b4427f
                        name: w2pp2cf4kltgFACPKXmX
                        api_created: false
                        privacy: public
                        url: https://api-demo.daily.co/w2pp2cf4kltgFACPKXmX
                        created_at: '2019-01-26T09:01:22.000Z'
                        config:
                          start_video_off: true
                      - id: d61cd7b2-a273-42b4-89bd-be763fd562c1
                        name: hello
                        api_created: false
                        privacy: public
                        url: https://your-domain.daily.co/hello
                        created_at: '2019-01-25T23:49:42.000Z'
                        config: {}
        '400':
          $ref: '#/components/responses/400'
      deprecated: false
      security:
        - bearerAuth: []
components:
  responses:
    '400':
      description: '400'
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
              info:
                type: string
          examples:
            Result:
              value:
                error: invalid-request-error
                info: missing required field
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````